mobilebackup2_client_free
mobilebackup2_client_new
mobilebackup2_client_start_service
mobilebackup2_client_t
mobilebackup2_error_t
mobilebackup2_receive_message
mobilebackup2_receive_raw
mobilebackup2_send_message
mobilebackup2_send_raw
mobilebackup2_send_request
mobilebackup2_send_status_response
MOBILEBACKUP2_SERVICE_NAME
mobilebackup2_version_exchange

## mobilebackup2_version_exchange()

LIBIMOBILEDEVICE_API mobilebackup2_error_t mobilebackup2_version_exchange | ( | mobilebackup2_client_t | client,
|  | double | local_versions[],
|  | char | count,
|  | double * | remote_version )

Performs the mobilebackup2 protocol version exchange.

Parameters

  client | The MobileBackup client to use.
  local_versions | An array of supported versions to send to the remote.
  count | The number of items in local_versions.
  remote_version | Holds the protocol version of the remote on success.

Returns
  MOBILEBACKUP2_E_SUCCESS on success, or a MOBILEBACKUP2_E_* error code otherwise.